
/**
 * 帮助说明数据
 * @author
 */
const { ccclass, property } = cc._decorator;

@ccclass
export default class Help extends cc.Component {

    @property({ type: cc.Label, displayName: '文字说明' })
    private lbl_desc: cc.Label = null;

    onLoad() {

    }

    start() {

    }

    update(dt) {
        if (g.help.init_desc_name) {
            this.initDesc();
            g.help.init_desc_name = '';
        }
    }
    private initDesc() {
        this.lbl_desc.string = g.help.getDescContent(g.help.init_desc_name);
    }
}
